* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

body {
  display: flex;
  flex-direction: column;
  min-height: 100vh;
  font-family: "Fredoka", sans-serif;
}

.header {
  background: #414188;
  color: #fff;
}

.menu-link-color {
  color: skyblue !important;
}

.date-time {
  padding-bottom: 70px;
  margin: 35px;
}

.real-date-time {
  float: right;
  color: #292323;
}

.logos {
  text-decoration: none;
  color: inherit;
}

button:hover {
  background-color: #fff;
  color: #000;
}

.sub-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 5px 15px;
  padding: 8px 15px;
  border-radius: 5px;
}

.logo-img {
  width: 100px;
}

.menu-list {
  display: flex;
  list-style-type: none;
  font-size: 20px;
  font-weight: 400;
}

.menu-items {
  padding: 0 20px;
}

.nav-items {
  text-decoration: none;
  color: #fff;
}

.main-section {
  flex: 1;
  margin: 0;
  flex-direction: column;
  justify-content: center;
  background: #a99f78;
}

#home {
  display: block;
  padding: 15px 0;
  flex: 1;
}

#home h2 {
  text-align: center;
  font-size: 32px;
  font-weight: 500;
  margin-bottom: 15px;
  color: #414188;
}

.books-container {
  background-color: #fff;
  padding: 5px;
  width: 70%;
  margin: 0 auto;
  border-radius: 5px;
}

.book {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
  border: 1px solid #fff;
}

.book button {
  padding: 5px 10px;
  font-size: 12px;
  border: 2px solid #414188;
  border-radius: 5px;
  cursor: pointer;
  background: #414188;
  color: #fff;
}

.no-books-notification {
  text-align: center;
  font-style: italic;
}

.sub-book {
  display: flex;
  gap: 1rem;
}

.changeColor {
  background-color: #ecedee;
}

#addBook {
  display: none;
  padding: 15px 0;
}

#addBook h2 {
  text-align: center;
  font-size: 32px;
  font-weight: 500;
  margin-bottom: 15px;
}

.form-container {
  padding: 5px;
  width: 50%;
  margin: 0 auto;
}

.book-form {
  display: flex;
  flex-direction: column;
  gap: 1.5rem;
}

.book-form input {
  padding: 15px;
  font-size: 16px;
  border: none;
  background: transparent;
  border-bottom: 2px solid #240606;
  color: #312828;
}

.book-form input::placeholder {
  color: #fff;
}

.book-form input:focus {
  outline: none;
  border-color: #fff;
  background: transparent;
}

.book-form button {
  align-self: flex-end;
  padding: 5px;
  width: 20%;
  font-size: 20px;
  border: 2px solid #414188;
  border-radius: 5px;
  cursor: pointer;
  color: #fff;
  background: #414188;
}

.add-book {
  color: #271b1b;
}

#contact {
  display: none;
  padding: 15px 0;
  color: #271b1b;
}

#contact h2 {
  text-align: center;
  font-size: 32px;
  font-weight: 500;
  margin-bottom: 40px;
  color: #271b1b;
}

.contact-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 25px 0;
  margin: 0 auto;
  font-size: 24px;
  font-weight: 400;
}

.text {
  font-size: 18px;
  line-height: 1.5;
}

.contact-container .text {
  margin-bottom: 30px;
}

.contact-details {
  margin-left: 40px;
}

.footer {
  background: #414188;
  color: #fff;
}

.sub-footer {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 5px 15px;
  padding: 15px;
}

.footer-text {
  margin: 0 auto;
  font-size: 15px;
}

.footer-site {
  color: #a6a6b0;
}

.footer-site a {
  color: #b6b6b6;
  text-decoration: none;
}

@media screen and (max-width: 768px) {
  .sub-header {
    border: none;
    margin: 0;
    padding: 0;
  }

  .logo {
    padding: 15px;
  }

  .mobile-button {
    display: block;
    background-image: url('./img/Icon-Menu.svg');
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
    height: 35px;
    width: 35px;
    cursor: pointer;
    z-index: 1000;
    right: 38px;
    top: 50px;
    margin: 20px;
  }

  .mobile-button.active {
    background-image: url('./img/Icon-Cancel.svg');
    height: 25px;
    width: 25px;
  }

  .menu {
    position: fixed;
    top: 0;
    text-align: center;
    width: 100%;
  }

  .border-item {
    border: none !important;
  }

  .menu-list {
    flex-direction: column;
    gap: 25px;
    display: none;
  }

  .sub-header .menu-list.active {
    display: flex;
    position: absolute;
    align-items: center;
    left: 0;
    top: 0;
    height: 100vh;
    width: 100%;
    flex-direction: column;
    z-index: 100;
    padding-top: 108px;
    gap: 52px;
    background: #1d293edb;
  }

  .menu-items {
    list-style: none;
    width: 80%;
  }

  .nav-items {
    text-decoration: none;
    display: flex;
    justify-content: space-between;
    width: 100%;
    font-size: 20px;
    color: #fff;
  }

  .page {
    width: 90%;
    margin: 0 auto;
  }

  .books-container {
    width: 100%;
  }

  .form-container {
    width: 100%;
  }

  .footer-text {
    font-size: 13px;
  }
}
